[Python.NET] Problem loading clr.pyd?

Denis Akhiyarov denis.akhiyarov at gmail.com
Wed Aug 20 17:33:22 CEST 2014


probably you need CLR/.NET 4.0


On Wed, Aug 20, 2014 at 6:37 AM, Hans Peter Jepsen <hpj at lodam.com> wrote:

>  Hi
>
> I have a problem with python.net.
>
> I have with py2exe build a few programs, that uses Python.NET. I have
> tried to run the programs build on 3 PCs.
>
> On 2 of PCs the programs run without problems. These PCs have Windows 7
> Professional with Service Pack 1 (64bit). The programs are built on of
> these machines.
>
> On the 3rd PC I get this error message:
>
> Unhandled Exception: System.BadImageFormatException: Could not load file
> or assembly 'clr.pyd' or one of its dependencies. This assembly is built by
> a runtime newer than the currently loaded runtime and cannot be loaded.
> File name: 'clr.pyd'
>
> This PC has Windows XP Professional with Service Pack 2. Highest version
> of installed Microsoft.NET framework is 3.5.
>
> Version of Python.Net is pythonnet-2.0-Beta0-clr4.  Python version is
> 2.7.3.
>
> My questions now are:
>
>    - What is the exact reason for the error message on 3rd  PC?
>    - Is the any way to solve this problem.
>    - If I am using a too new version of Python.NET, is there a version,
>    that would work on all 3 PC?
>
>
> I hope, that you can help me further?
>
>
> Kind regards
>
> Hans Peter
>
>
> _________________________________________________
> Python.NET mailing list - PythonDotNet at python.org
> https://mail.python.org/mailman/listinfo/pythondotnet
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.python.org/pipermail/pythondotnet/attachments/20140820/0485efa5/attachment.html>


More information about the PythonDotNet mailing list